For the complete documentation index, see llms.txt. This page is also available as Markdown.

AI Context

Operations related to AI Context, the AI settings that provide additional context to AI features at the datamart level, such as the datamart guide and customer context markdown documents.

Get the datamart-guide file content

get
/datamarts/{datamart_id}/ai_context/datamart_guide/text
Path parameters
datamart_idinteger · int64Required
Responses
200

Success !

text/plain
stringOptional
get/datamarts/{datamart_id}/ai_context/datamart_guide/text
GET /v1/datamarts/{datamart_id}/ai_context/datamart_guide/text HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
text

Create or replace the datamart-guide file content

put
/datamarts/{datamart_id}/ai_context/datamart_guide/text
Path parameters
datamart_idinteger · int64Required
Body
stringOptional
Responses
200

Success response

application/json
statusstring · enumRequiredPossible values:
put/datamarts/{datamart_id}/ai_context/datamart_guide/text
PUT /v1/datamarts/{datamart_id}/ai_context/datamart_guide/text HTTP/1.1
Host: api.mediarithmics.local
Content-Type: text/plain
Accept: */*
Content-Length: 6

"text"
{
  "status": "ok"
}

Delete the datamart-guide file content

delete
/datamarts/{datamart_id}/ai_context/datamart_guide/text
Path parameters
datamart_idinteger · int64Required
Responses
200

Success response

application/json
statusstring · enumRequiredPossible values:
delete/datamarts/{datamart_id}/ai_context/datamart_guide/text
DELETE /v1/datamarts/{datamart_id}/ai_context/datamart_guide/text HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
  "status": "ok"
}

Get the customer-context file content

get
/datamarts/{datamart_id}/ai_context/customer_context/text
Path parameters
datamart_idinteger · int64Required
Responses
200

Success !

text/plain
stringOptional
get/datamarts/{datamart_id}/ai_context/customer_context/text
GET /v1/datamarts/{datamart_id}/ai_context/customer_context/text HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
text

Create or replace the customer-context file content

put
/datamarts/{datamart_id}/ai_context/customer_context/text
Path parameters
datamart_idinteger · int64Required
Body
stringOptional
Responses
200

Success response

application/json
statusstring · enumRequiredPossible values:
put/datamarts/{datamart_id}/ai_context/customer_context/text
PUT /v1/datamarts/{datamart_id}/ai_context/customer_context/text HTTP/1.1
Host: api.mediarithmics.local
Content-Type: text/plain
Accept: */*
Content-Length: 6

"text"
{
  "status": "ok"
}

Delete the customer-context file content

delete
/datamarts/{datamart_id}/ai_context/customer_context/text
Path parameters
datamart_idinteger · int64Required
Responses
200

Success response

application/json
statusstring · enumRequiredPossible values:
delete/datamarts/{datamart_id}/ai_context/customer_context/text
DELETE /v1/datamarts/{datamart_id}/ai_context/customer_context/text HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
  "status": "ok"
}

Get the datamart-guide file metadata

get
/datamarts/{datamart_id}/ai_context/datamart_guide/metadata
Path parameters
datamart_idinteger · int64Required
Responses
200

Success !

application/json
statusstring · enumRequiredPossible values:
get/datamarts/{datamart_id}/ai_context/datamart_guide/metadata
GET /v1/datamarts/{datamart_id}/ai_context/datamart_guide/metadata HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
  "status": "ok",
  "data": {
    "created_by": "text",
    "created_ts": 0,
    "last_modified_by": "text",
    "last_modified_ts": 0
  }
}

Get the customer-context file metadata

get
/datamarts/{datamart_id}/ai_context/customer_context/metadata
Path parameters
datamart_idinteger · int64Required
Responses
200

Success !

application/json
statusstring · enumRequiredPossible values:
get/datamarts/{datamart_id}/ai_context/customer_context/metadata
GET /v1/datamarts/{datamart_id}/ai_context/customer_context/metadata HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
  "status": "ok",
  "data": {
    "created_by": "text",
    "created_ts": 0,
    "last_modified_by": "text",
    "last_modified_ts": 0
  }
}

Last updated

Was this helpful?